﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using Microsoft.Win32;

namespace GanttChartViewExportPngImageSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void ExportMenuItem_Click(object sender, RoutedEventArgs e)
        {
            // Select a PNG image file to export to.
            SaveFileDialog saveFileDialog = new SaveFileDialog { Title = "Specify the PNG image file to export to", Filter = "PNG image files|*.png" };
            if (saveFileDialog.ShowDialog() != true)
                return;

            // Get the export bitmap source.
            BitmapSource bitmapSource = GanttChartView.GetExportBitmapSource(96 * 2);

            using (Stream stream = saveFileDialog.OpenFile())
            {
                // Encode the bitmap to PNG format.
                PngBitmapEncoder pngBitmapEncoder = new PngBitmapEncoder();
                pngBitmapEncoder.Frames.Add(BitmapFrame.Create(bitmapSource));
                pngBitmapEncoder.Save(stream);
            }
        }
    }
}
